LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 06-06-2007, 03:04 AM   #1
kantor_98
Member
 
Registered: Jan 2007
Posts: 68

Rep: Reputation: 15
Missing file libstdc++-libc6.1-1.so.2


I wnat to install xnview for linux, but using the command
yum localinstall XnView-static.i386.rpm,
i get the message
--> Finished Dependency Resolution
Error: Missing Dependency: libstdc++-libc6.1-1.so.2 is needed by package XnView
I try to find it, but after I installed some packages (in which the file seemed to be), I still receive the same message
What cen I do ? I realy want to install this program...
I want to try with yum install, but I don't know the exact name of the xnview program (or maybe I also need a supplementary repo to add...)
 
Old 06-06-2007, 03:38 AM   #2
Junior Hacker
Senior Member
 
Registered: Jan 2005
Location: North America
Distribution: Debian testing Mandriva Ubuntu
Posts: 2,687

Rep: Reputation: 59
You need to install gcc-3 compatible libraries, try this yum install command to install them:
Code:
yum -y install compat-libstdc++-33
 
Old 06-06-2007, 03:46 AM   #3
Junior Hacker
Senior Member
 
Registered: Jan 2005
Location: North America
Distribution: Debian testing Mandriva Ubuntu
Posts: 2,687

Rep: Reputation: 59
That is assuming you have Fedora 6, to find what package will satisfy that dependency, go to http://rpm.pbone.net and paste 'libstdc++-libc6.1-1.so.2' (without quotes) in the search field and install the package presented for your distribution.
 
Old 06-06-2007, 04:39 AM   #4
kantor_98
Member
 
Registered: Jan 2007
Posts: 68

Original Poster
Rep: Reputation: 15
OK ! Thank you ! I use this link to find the needed rpm, then iI use rpm -ivh "package". I was OK, then it ask me to install also libXp.so.6, I repeat the process and I succeed.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
libstdc++-libc6.1-1.so.2 cybercullen Linux - Newbie 6 07-08-2009 01:05 PM
libstdc++-libc6.2-2.so.3 Nau Linux - Software 4 01-31-2006 07:23 AM
Missing the libstdc++-libc6.1.-1.so.2 library-- AAGH mst3kman Linux - Newbie 3 01-03-2006 04:50 PM
blender 3d missing libstdc++-libc6.2-2.so.3 arkamir Linux - Newbie 5 04-19-2004 10:49 AM
libstdc++-libc6.2? jpbarto Linux From Scratch 1 04-13-2003 09:35 PM


All times are GMT -5. The time now is 04:30 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration